from resource_management import *

class Master(Script):
    def install(self, env):
        self.install_packages(env)
        self.configure(env)

    def configure(self, env):
        import params
        env.set_params(params)
        print "In configuration step"
        print "My test app"

    def start(self, env):
        import params
        env.set_params(params)
        self.configure(env)
        print 'Started test service'

    def stop(self, env):
        import params
        env.set_params(params)
        print 'Stopped test service'

    def restart(self, env):
        import params
        env.set_params(params)
        self.stop(env)
        self.start(env)
        print 'Restarted test service'

    def status(self, env):
        print 'Status is ok'


if __name__ == "__main__":
    Master().execute()
